org.licas.ws

## Class WsMethodInfo

- java.lang.Object
- - org.licas.call.MethodInfo
  - - org.licas.ws.WsMethodInfo

- All Implemented Interfaces:
    java.io.Serializable

      public class WsMethodInfo
      extends MethodInfo
      implements java.io.Serializable

  This class stores some specific details required to make a Web Service call, such as the web service name, or uri, etc. This version extends the `MethodInfo` class used in licas to store all required information for a remote method call.
  Author:
    Kieran Greer
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NAME` The web service name - final part in URI
    `static int` | `PATH` The class path for any classes
    `static int` | `TARGETNS` The target namespace address - also the class path reversed

    - ### Fields inherited from class org.licas.call.MethodInfo

      `params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsMethodInfo()` Create a WsMethodInfo object with dummy values.
    `WsMethodInfo(java.lang.String thisCallType, java.lang.String thisWebService, java.lang.String thisOperation, java.lang.String thisEndpointAddress, java.lang.String thisSoapActionUri, java.lang.String thisNamespace, java.lang.String[] thisLocalWS, java.util.ArrayList thisParameters)` Create a WsMethodInfo object with the parameters passed in.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkParamValues()` Change each parameter from a string into its actual type, required for RPC web service call.
    `void` | `configLocalWS()` Configure the method info to include the definition for a locally run web service.
    `java.lang.String[]` | `getLocalWS()` Get a list of additional values for a locally run (on licas) web service.
    `java.lang.String` | `getNamespace()` Get the namespace address.
    `java.lang.String` | `getSoapActionUri()` Get the soap action address.
    `java.lang.String` | `getSoapEndpointAddress()` Get the endpoint address.
    `java.lang.String` | `getSoapWebService()` Get the web service name.
    `java.lang.String` | `getWsPassword()` Get the private web service password.
    `java.lang.String` | `getWsUsername()` Get the private web service username.
    `void` | `setLocalWS(java.lang.String[] thisLocalWS)` Set the local web service values.
    `void` | `setNamespace(java.lang.String thisNamespace)` Set the namespace address to the value passed in.
    `void` | `setSoapActionUri(java.lang.String thisSoapActionUri)` Set the soap action address.
    `void` | `setSoapEndpointAddress(java.lang.String thisSoapEndpointAddress)` Set the endpoint address.
    `void` | `setSoapWebService(java.lang.String thisSoapWebService)` Set the web service name.
    `void` | `setWsPassword(java.lang.String thisPassword)` Set the private web service password.
    `void` | `setWsUsername(java.lang.String thisUsername)` Set the private web service username.
    `java.lang.String` | `toString()` Get a String representation of this object.

    - ### Methods inherited from class org.licas.call.MethodInfo

      `addParam, checkServerURL, clearParams, clone, copyValues, getCallTimeout, getCallType, getClientURI, getCommunicationID, getIsRemote, getName, getPacketSize, getParameter, getParams, getParamValues, getPassword, getRestOfServiceURI, getRtnType, getServerPassword, getServerURL, getServiceRtnType, getServiceURI, isVoid, objParameterTypes, setCallTimeout, setCallType, setClientURI, setCommunicationID, setIfRemote, setName, setPacketSize, setPassword, setRestOfServiceURI, setRtnType, setServerPassword, setServerURL, setServiceObj, setServiceRtnType, setServiceURI, updateServiceURIs`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final int NAME

      The web service name - final part in URI
      See Also:
        Constant Field Values

    - #### TARGETNS

          public static final int TARGETNS

      The target namespace address - also the class path reversed
      See Also:
        Constant Field Values

    - #### PATH

          public static final int PATH

      The class path for any classes
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WsMethodInfo

          public WsMethodInfo()
                       throws java.lang.Exception

      Create a WsMethodInfo object with dummy values.
      Throws:
        `java.lang.Exception` - any error.

    - #### WsMethodInfo

          public WsMethodInfo(java.lang.String thisCallType,
                              java.lang.String thisWebService,
                              java.lang.String thisOperation,
                              java.lang.String thisEndpointAddress,
                              java.lang.String thisSoapActionUri,
                              java.lang.String thisNamespace,
                              java.lang.String[] thisLocalWS,
                              java.util.ArrayList thisParameters)
                       throws java.lang.Exception

      Create a WsMethodInfo object with the parameters passed in.
      Parameters:
        `thisCallType` - the protocol type, can be `Const`.`REST` or `SOAP`.
        `thisWebService` - the web service name.
        `thisOperation` - the global operation name.
        `thisEndpointAddress` - the web service location.
        `thisSoapActionUri` - the soap action location.
        `thisNamespace` - the soap namespace.
        `thisLocalWS` - optional set of parameters for a locally running Web Service, RPC type. This can be empty for a remote (not on licas) service.
        `thisParameters` - the operation parameter values. Should be of type `WsdlParamInfo`.
      Throws:
        `java.lang.Exception` - any error.

  - ### Method Detail

    - #### configLocalWS

          public void configLocalWS()

      Configure the method info to include the definition for a locally run web service.

    - #### checkParamValues

          public void checkParamValues()
                                throws java.lang.Exception

      Change each parameter from a string into its actual type, required for RPC web service call.
      Throws:
        `java.lang.Exception` - any error.

    - #### getWsUsername

          public java.lang.String getWsUsername()

      Get the private web service username.
      Returns:
        the value of wsUsername.

    - #### setWsUsername

          public void setWsUsername(java.lang.String thisUsername)

      Set the private web service username.
      Parameters:
        `thisUsername` - a private web service wsUsername

    - #### getWsPassword

          public java.lang.String getWsPassword()

      Get the private web service password.
      Returns:
        the value of wsPassword.

    - #### setWsPassword

          public void setWsPassword(java.lang.String thisPassword)

      Set the private web service password.
      Parameters:
        `thisPassword` - for access to a private web service.

    - #### getSoapWebService

          public java.lang.String getSoapWebService()

      Get the web service name.
      Returns:
        the value of soapWebService.

    - #### setSoapWebService

          public void setSoapWebService(java.lang.String thisSoapWebService)

      Set the web service name.
      Parameters:
        `thisSoapWebService` - the soap web service name.

    - #### getSoapEndpointAddress

          public java.lang.String getSoapEndpointAddress()

      Get the endpoint address.
      Returns:
        value of soapEndpointAddress.

    - #### setSoapEndpointAddress

          public void setSoapEndpointAddress(java.lang.String thisSoapEndpointAddress)

      Set the endpoint address.
      Parameters:
        `thisSoapEndpointAddress` - the web service location.

    - #### getSoapActionUri

          public java.lang.String getSoapActionUri()

      Get the soap action address.
      Returns:
        value of soapActionUri.

    - #### setSoapActionUri

          public void setSoapActionUri(java.lang.String thisSoapActionUri)

      Set the soap action address.
      Parameters:
        `thisSoapActionUri` - the soap action location.

    - #### getNamespace

          public java.lang.String getNamespace()

      Get the namespace address.
      Returns:
        the value of namespace.

    - #### setNamespace

          public void setNamespace(java.lang.String thisNamespace)

      Set the namespace address to the value passed in.
      Parameters:
        `thisNamespace` - the namespace address.

    - #### getLocalWS

          public java.lang.String[] getLocalWS()

      Get a list of additional values for a locally run (on licas) web service.
      Returns:
        the value of localWS.

    - #### setLocalWS

          public void setLocalWS(java.lang.String[] thisLocalWS)

      Set the local web service values.
      Parameters:
        `thisLocalWS` - the local web service definition set.

    - #### toString

          public java.lang.String toString()

      Get a String representation of this object.
      Overrides:
        `toString` in class `MethodInfo`
      Returns:
        a String-based description of this object.